> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Rakuten items search

> Search live Rakuten Ichiba items by keyword with sort, condition, price range and genre filters. 1 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-rakuten-items-search
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
paths:
  /functions/v1/run-rakuten-items-search:
    post:
      tags:
        - E-commerce & Marketplaces
      summary: Rakuten items search
      description: >-
        Search live Rakuten Ichiba items by keyword with sort, condition, price
        range and genre filters. 1 point per returned record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keyword:
                  description: Search term. e.g. コーヒー豆
                  type: string
                max_items:
                  description: Max items (up to 500)
                  type: integer
                  minimum: 1
                  maximum: 500
                  default: 25
                start_page:
                  description: Starting page
                  type: integer
                  minimum: 1
                  default: 1
                sort:
                  description: >-
                    Sort by. Options: relevancy = Relevancy, price_low_to_high =
                    Price: low to high, price_high_to_low = Price: high to low,
                    newest = Newest, review_count = Most reviews, review_score =
                    Best review score
                  type: string
                  enum:
                    - relevancy
                    - price_low_to_high
                    - price_high_to_low
                    - newest
                    - review_count
                    - review_score
                condition:
                  description: 'Condition. Options: new = New, used = Used'
                  type: string
                  enum:
                    - new
                    - used
                price_min:
                  description: Min price (JPY)
                  type: number
                  minimum: 0
                price_max:
                  description: Max price (JPY)
                  type: number
                  minimum: 0
                genre_id:
                  description: Genre ID
                  type: number
                  minimum: 1
              required:
                - keyword
            example:
              keyword: コーヒー豆
              max_items: 2
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  keyword:
                    type: string
                  max_items:
                    type: integer
                  start_page:
                    type: integer
                  partial:
                    type: boolean
                    description: >-
                      True when the scrape stopped early and returned the
                      records collected so far.
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      total_items:
                        type: integer
                      first_item:
                        type: object
                        properties:
                          id:
                            type: string
                          item_code:
                            type: string
                          url:
                            type: string
                          title:
                            type: string
                          subtitle:
                            type: string
                          image:
                            type: string
                          price:
                            type: integer
                          price_max:
                            type: integer
                          currency:
                            type: string
                          point:
                            type: integer
                          is_free_shipping:
                            type: boolean
                          is_sold_out:
                            type: boolean
                          rating:
                            type: integer
                          review_count:
                            type: integer
                          category_id:
                            type: integer
                          category:
                            type: string
                          genre_breadcrumbs:
                            type: array
                            items:
                              type: string
                          shop:
                            type: object
                            properties:
                              id:
                                type: integer
                              name:
                                type: string
                              alias:
                                type: string
                          is_sponsored:
                            type: boolean
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            item_code:
                              type: string
                            url:
                              type: string
                            title:
                              type: string
                            subtitle:
                              type: string
                              nullable: true
                            image:
                              type: string
                            price:
                              type: integer
                            price_max:
                              type: integer
                            currency:
                              type: string
                            point:
                              type: integer
                            is_free_shipping:
                              type: boolean
                            is_sold_out:
                              type: boolean
                            rating:
                              type: number
                            review_count:
                              type: integer
                            category_id:
                              type: integer
                            category:
                              type: string
                            genre_breadcrumbs:
                              type: array
                              items:
                                type: string
                            shop:
                              type: object
                              properties:
                                id:
                                  type: integer
                                name:
                                  type: string
                                alias:
                                  type: string
                            is_sponsored:
                              type: boolean
                      proxy_traffic_bytes:
                        type: integer
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: rakuten_items_search
                keyword: コーヒー豆
                max_items: 2
                start_page: 1
                partial: false
                human: |-
                  # Rakuten items search

                  - **Keyword:** コーヒー豆
                  - **Starting page:** 1
                  - **Max items:** 2
                  - **Records returned:** 2
                  - **Proxy traffic:** 2.74 MB
                machine:
                  total_items: 2
                  first_item:
                    id: blueritual/kh001
                    item_code: kh001
                    url: https://item.rakuten.co.jp/blueritual/kh001/
                    title: >-
                      【期間限定】新店OPEN記念！50％OFFクーポン コーヒー豆 コーヒー粉 香り 2kg/1kg ( 500g ×
                      4袋 or 2袋 ) 深煎り 中深煎り 珈琲 珈琲豆 オリジナルブレンド ダークローストブレンド 送料無料
                      blueritualcoffe
                    subtitle: 毎日飲める大容量2kg！500g×4袋で新鮮保存 豆・粉選択可 送料無料
                    image: >-
                      https://thumbnail.image.rakuten.co.jp/@0_mall/blueritual/cabinet/13642272/50off.jpg
                    price: 4560
                    price_max: 6980
                    currency: JPY
                    point: 41
                    is_free_shipping: true
                    is_sold_out: false
                    rating: 5
                    review_count: 9
                    category_id: 201402
                    category: コーヒー豆
                    genre_breadcrumbs:
                      - 水・ソフトドリンク
                      - コーヒー
                    shop:
                      id: 443067
                      name: Blue Ritual珈琲
                      alias: blueritual
                    is_sponsored: false
                  items:
                    - id: blueritual/kh001
                      item_code: kh001
                      url: https://item.rakuten.co.jp/blueritual/kh001/
                      title: >-
                        【期間限定】新店OPEN記念！50％OFFクーポン コーヒー豆 コーヒー粉 香り 2kg/1kg ( 500g
                        × 4袋 or 2袋 ) 深煎り 中深煎り 珈琲 珈琲豆 オリジナルブレンド ダークローストブレンド 送料無料
                        blueritualcoffe
                      subtitle: 毎日飲める大容量2kg！500g×4袋で新鮮保存 豆・粉選択可 送料無料
                      image: >-
                        https://thumbnail.image.rakuten.co.jp/@0_mall/blueritual/cabinet/13642272/50off.jpg
                      price: 4560
                      price_max: 6980
                      currency: JPY
                      point: 41
                      is_free_shipping: true
                      is_sold_out: false
                      rating: 5
                      review_count: 9
                      category_id: 201402
                      category: コーヒー豆
                      genre_breadcrumbs:
                        - 水・ソフトドリンク
                        - コーヒー
                      shop:
                        id: 443067
                        name: Blue Ritual珈琲
                        alias: blueritual
                      is_sponsored: false
                    - id: dripcoffee/house-500-4
                      item_code: house-500-4
                      url: https://item.rakuten.co.jp/dripcoffee/house-500-4/
                      title: >-
                        2kg最安値に挑戦!2kgで3,980円！コーヒー豆 コーヒー 豆 粉 2kg / 1kg ハウスブレンド (
                        500g × 4袋 or 2袋 ) 深煎り 珈琲 珈琲豆 送料無料 ドリップコーヒーファクトリー
                      subtitle: null
                      image: >-
                        https://thumbnail.image.rakuten.co.jp/@0_mall/dripcoffee/cabinet/it01/4571621611730_a.jpg
                      price: 2530
                      price_max: 3980
                      currency: JPY
                      point: 23
                      is_free_shipping: true
                      is_sold_out: false
                      rating: 4.47
                      review_count: 487
                      category_id: 201402
                      category: コーヒー豆
                      genre_breadcrumbs:
                        - 水・ソフトドリンク
                        - コーヒー
                      shop:
                        id: 367916
                        name: DRIP COFFEE FACTORY
                        alias: dripcoffee
                      is_sponsored: false
                  proxy_traffic_bytes: 2876134
                total_points: 2
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````